Index: tmp/org.txm.statsengine.r.core/plugin.xml
===================================================================
--- tmp/org.txm.statsengine.r.core/plugin.xml	(revision 1150)
+++ tmp/org.txm.statsengine.r.core/plugin.xml	(revision 1151)
@@ -21,5 +21,12 @@
             class="org.txm.statsengine.r.core.RStatsEngine">
       </StatsEngine>
    </extension>
+   <extension
+         point="org.txm.core.engines.ScriptEngine">
+      <ScriptEngine
+            class="org.txm.statsengine.r.core.RScriptEngine"
+            name="R">
+      </ScriptEngine>
+   </extension>
 
 </plugin>
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Part.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Part.java	(revision 1150)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Part.java	(revision 1151)
@@ -56,7 +56,7 @@
 		this.userName = partName;
 		this.pQuery = new CQLQuery(query);
 		this.pID = CqpObject.partNamePrefix + CQPCorpus.getNextSubcorpusCounter();
-		
+		this.pName = partName;
 		this.setVisible(false);
 		this.internalPersistable = true;
 		this.userPersistable = false;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteScript.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteScript.java	(revision 1150)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteScript.java	(revision 1151)
@@ -191,7 +191,7 @@
 		String ext = script.getName();
 		int i = ext.lastIndexOf(".");
 		if (i > 0) {
-			ext = ext.substring(i);
+			ext = ext.substring(i+1);
 		}
 
 		if ("groovy".equals(ext)) { // TODO make Groovy a script engine
Index: tmp/org.txm.core/plugin.xml
===================================================================
--- tmp/org.txm.core/plugin.xml	(revision 1150)
+++ tmp/org.txm.core/plugin.xml	(revision 1151)
@@ -6,6 +6,7 @@
    <extension-point id="org.txm.PostInstallationStep" name="Post installation step" schema="schema/org.txm.PostInstallationStep.exsd"/>
    <extension-point id="org.txm.PostTXMHOMEInstallationStep" name="Post TXMHome installation step" schema="schema/org.txm.org.txm.PostTXMHOMEInstallationStep.exsd"/>
    <extension-point id="org.txm.core.engines.ImportEngine" name="org.txm.core.engines.ImportEngine" schema="schema/org.txm.core.engines.ImportEngine.exsd"/>
+   <extension-point id="org.txm.core.engines.ScriptEngine" name="org.txm.core.engines.ScriptEngine" schema="schema/org.txm.core.engines.ScriptEngine.exsd"/>
    <extension
          point="org.eclipse.core.runtime.preferences">
       <initializer
@@ -29,6 +30,11 @@
             description="Import engines manager"
             name="ImportEngines">
       </EngineManager>
+      <EngineManager
+            class="org.txm.core.engines.ScriptEnginesManager"
+            description="Script engines manager"
+            name="ScriptEngines">
+      </EngineManager>
    </extension>
 
 </plugin>
Index: tmp/org.txm.core/schema/org.txm.core.engines.ScriptEngine.exsd
===================================================================
--- tmp/org.txm.core/schema/org.txm.core.engines.ScriptEngine.exsd	(revision 0)
+++ tmp/org.txm.core/schema/org.txm.core.engines.ScriptEngine.exsd	(revision 1151)
@@ -0,0 +1,109 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!-- Schema file written by PDE -->
+<schema targetNamespace="org.txm.core" xmlns="http://www.w3.org/2001/XMLSchema">
+<annotation>
+      <appinfo>
+         <meta.schema plugin="org.txm.core" id="org.txm.core.engines.ScriptEngine" name="org.txm.core.engines.ScriptEngine"/>
+      </appinfo>
+      <documentation>
+         [Enter description of this extension point.]
+      </documentation>
+   </annotation>
+
+   <element name="extension">
+      <annotation>
+         <appinfo>
+            <meta.element />
+         </appinfo>
+      </annotation>
+      <complexType>
+         <choice minOccurs="1" maxOccurs="unbounded">
+            <element ref="ScriptEngine"/>
+         </choice>
+         <attribute name="point" type="string" use="required">
+            <annotation>
+               <documentation>
+                  
+               </documentation>
+            </annotation>
+         </attribute>
+         <attribute name="id" type="string">
+            <annotation>
+               <documentation>
+                  
+               </documentation>
+            </annotation>
+         </attribute>
+         <attribute name="name" type="string">
+            <annotation>
+               <documentation>
+                  
+               </documentation>
+               <appinfo>
+                  <meta.attribute translatable="true"/>
+               </appinfo>
+            </annotation>
+         </attribute>
+      </complexType>
+   </element>
+
+   <element name="ScriptEngine">
+      <complexType>
+         <attribute name="class" type="string" use="required">
+            <annotation>
+               <documentation>
+                  
+               </documentation>
+               <appinfo>
+                  <meta.attribute kind="java" basedOn="org.txm.core.engines.ScriptEngine:"/>
+               </appinfo>
+            </annotation>
+         </attribute>
+         <attribute name="name" type="string" use="required">
+            <annotation>
+               <documentation>
+                  
+               </documentation>
+            </annotation>
+         </attribute>
+      </complexType>
+   </element>
+
+   <annotation>
+      <appinfo>
+         <meta.section type="since"/>
+      </appinfo>
+      <documentation>
+         [Enter the first release in which this extension point appears.]
+      </documentation>
+   </annotation>
+
+   <annotation>
+      <appinfo>
+         <meta.section type="examples"/>
+      </appinfo>
+      <documentation>
+         [Enter extension point usage example here.]
+      </documentation>
+   </annotation>
+
+   <annotation>
+      <appinfo>
+         <meta.section type="apiinfo"/>
+      </appinfo>
+      <documentation>
+         [Enter API information here.]
+      </documentation>
+   </annotation>
+
+   <annotation>
+      <appinfo>
+         <meta.section type="implementation"/>
+      </appinfo>
+      <documentation>
+         [Enter information about supplied implementation of this extension point.]
+      </documentation>
+   </annotation>
+
+
+</schema>

Property changes on: tmp/org.txm.core/schema/org.txm.core.engines.ScriptEngine.exsd
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.statsengine.r.rcp/plugin.xml
===================================================================
--- tmp/org.txm.statsengine.r.rcp/plugin.xml	(revision 1150)
+++ tmp/org.txm.statsengine.r.rcp/plugin.xml	(revision 1151)
@@ -83,7 +83,7 @@
                style="push">
             <parameter
                   name="org.eclipse.ui.views.showView.viewId"
-                  value="RConsoleView">
+                  value="org.txm.statsengine.r.rcp.views.RConsole">
             </parameter>
          </command>
          <command
@@ -93,7 +93,7 @@
                style="push">
             <parameter
                   name="org.eclipse.ui.views.showView.viewId"
-                  value="RVariablesView">
+                  value="org.txm.statsengine.r.rcp.views.RVariablesView">
             </parameter>
          </command>
       </menuContribution>
Index: tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java
===================================================================
--- tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java	(revision 1150)
+++ tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java	(revision 1151)
@@ -482,11 +482,16 @@
 	 * @throws Exception 
 	 */
 	public int getNColumns() throws Exception {
-		return statsData.getNColumns();
+		if (statsData != null) {
+			return statsData.getNColumns();
+		} else if (parent instanceof Partition) {
+			return ((Partition)parent).getPartsCount();
+		}  else if (parent instanceof PartitionIndex) {
+			return ((PartitionIndex)parent).getPartition().getPartsCount();
+		}
+		return 1;
 	}
 
-
-
 	/**
 	 * Gets the rows count.
 	 * @return
